package market.thread.orderIsOverDelevery;

import CoreFS.SA01.CoreIComponent;

public class OrderIsOverDeleveryMgt extends CoreIComponent {
	private static int runCopies = 0;
	private static Boolean shouldStop = false;
	private OrderIsOverDeleveryThread orderIsOverDeleveryThread = null;

	public static Boolean getShouldStop() {
		return shouldStop;
	}

	public OrderIsOverDeleveryMgt() throws Exception {
		if (++runCopies == 1) {
			orderIsOverDeleveryThread = new OrderIsOverDeleveryThread();
			orderIsOverDeleveryThread.setName("OrderIsOverDeleveryThread");
			orderIsOverDeleveryThread.setDaemon(true);
			orderIsOverDeleveryThread.start();
		}
	}

}